%YAML:1.0

single_trial_threads: 8

main_folder: "/home/jorge14/Desktop/stereo"
left_relative_path: "left"
left_color_relative_path: "left"
right_relative_path: "center"

disparity_normalized_relative_path: "image_disparity_normalized/short"
disparity_relative_path: "image_disparity/short"
disparity_filestorage_relative_path: "image_disparity_filestorage/short"
pcd_relative_path: "pcd/short"
pcd_filtered_relative_path: "pcd_filtered/short"
background_masks_relative_path: "background_masks/short"

calculate_stereo: 1
min_disparity: 1
max_disparity: 2
SAD: 7
SGMp1: 392 #8*1*SAD*SAD
SGMp2: 1568 #32*1*SAD*SAD
disp12_max_diff: 5
pre_filter_cap: 5
unique: 15
speckle_window: 150
speckle_range: 1
fullDP: 1

calculate_3d_points: 1
calculate_background_subtration: 1

use_filtering: 1

use_range: 1
x_max: 1e6
x_min: -1e6
y_max: 2
y_min: -2
z_max: 6
z_min: 0

use_background_subtraction: 1
background_history: 10
background_threshold: 8.0
background_learningRate: 0.1
background_backgroundRatio: 0.05
background_fVarInit: 15
background_fCT: 0.05
background_fTau: 0.10

use_groundplane_estimation: 0
max_iterations: 150
distance_threshold: 0.08

# camera_cx: 287.903999328613
# camera_cy: 247.660722732544
camera_cx: 649.78
camera_cy: 493.92

# # camera_fx: 480.310752426232
# camera_fy: 480.310752426232
camera_fx: 1035.54
camera_fy: 1036.62
base_line: 0.12
